
Redmine - Patch #1708

'Assigned to' list sorts by id, not name

2008-07-29 16:42 - Christian Bryn

Status: Closed Start date: 2008-07-29

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version: 0.8   

Description

Hello!

When assigning issues to users, finding the right person in the drop down list can be more time consuming than it should - as the list

grows it appears as a mess. The truth is that it's not a mess, but sorted by id - this does not make sense to a user ;-)

I have attached patches for 0.7.3, but the behavior is the same in subversion (r1709). The patches will sort by (first) name instead of

id.

Please let me know if you need more information etc.

Best regards,

Christian Bryn :--)

Related issues:

Related to Redmine - Feature #1595: Make last name an optional field New 2008-07-07

Related to Redmine - Defect #1841: Include both first and last name when sort... Closed 2008-09-02

Related to Redmine - Patch #2015: sort by name in select box to add user to p... Closed 2008-10-09

History

#1 - 2008-07-30 15:47 - Ewan Makepeace

I looked around and apparently users are sorted by lastname not ID?

+1 for the option to sort by first name however.

#2 - 2008-07-31 05:38 - Eric Davis

- File user-sorting-r1711.patch added

- File user-sorting-example.png added

Attached is a patch (with tests) that make user sorted a system setting.  In Administration > Settings > General is an option to sort users by first name,

last name, or login.  This will affect assignment boxes like the patch above and also the sorting on a Projects member page.

#3 - 2008-11-11 14:03 - Jean-Philippe Lang

- Category changed from Issues to UI

- Status changed from New to Closed

- Target version set to 0.8

I think it makes sens to simply sort users by their display names so that users dropdown list are properly sorted alphabetically. It's fixed in r2010.

#4 - 2008-11-13 14:11 - Christian Bryn

Sounds good to me, thanks :-)

Files

_form.rhtml.diff 275 Bytes 2008-07-29 Christian Bryn

_form_update.rhtml.diff 273 Bytes 2008-07-29 Christian Bryn

user-sorting-r1711.patch 7.57 KB 2008-07-31 Eric Davis

user-sorting-example.png 19.5 KB 2008-07-31 Eric Davis
